﻿# You can place the script of your game in this file.

init:
    $ register_stat('Ум', 'intel', 5, 100)
    $ register_stat('Красота', 'beauty', 3, 100)
    $ register_stat('Сила', 'strength', 8, 100)
    $ register_stat('Камни', 'money', 0, 1000)
    
    $ dp_period('Утро', 'morning_act')
    $ dp_choice('Спиздить трактор', 'steal')
    $ dp_choice('Размышлять', 'think')
    $ dp_choice('Собирать камни', 'stones')
    
    $ dp_period('День', 'afternoon_act')
    $ dp_choice('Спиздить трактор', 'steal')
    $ dp_choice('Размышлять', 'think')
    $ dp_choice('Собирать камни', 'stones')
    
    $ dp_done_title = "Готово"

    $ p = Character('Поросенок Петр', color="#f029bc")
    $ pu = Character('???', color="#f029bc")
    
    $ import random

    image bg welcome = "bg_petr_welcome.jpg"
    image bg petrs_room = "bg_petrs_room.jpg"
    image petr deflt = "ch_petr_def.png"
# The game starts here.
label start:
    $ random.seed(None);
    $ day = 0
    
    scene black
    
    pu "{size=-12}Ээй, что? Что я должен им сказать? \"Привет, я Хрюша, в этой игре вы сможете засунуть свою руку ко мне в зад и управлять мной?\" Да это издевательство, черт побери!{/size}"
    
    scene bg welcome
    with fade
    
    show petr deflt at left
    
    pu "Эээ, привет. Я - Поросенок Петр"
    p "Самый обычный поросенок-неудачник-хикке."
    p "Я живу в самой обычной сраной Рашке, живу с мамой."
    p "Живу самой обычной жизнью - пизжу трактора, собираю камни и много думаю."
    p "Такие дела."
    
    hide petr deflt
    jump day
    
label day:
    
    $ day += 1
    
    "День %(day)d."
    show bg petrs_room
    with fade
    "В комнате Петра раздался оглушительный звук будильника"
    
    show petr deflt at left
    
    $ morning_act = None
    $ afternoon_act = None
    
    call day_planner(["Утро", "День"])
    
label morning:

    centered "Утро"

    $ period = "morning"
    $ act = morning_act

    $ normalize_stats()
    
    call events_run_period

label afternoon:
    if check_skip_period():
        jump night
   
    
    centered "День"
    
    $ period = "afternoon"
    $ act = afternoon_act
    
    $ normalize_stats()
        
    call events_run_period
    
label night:

    # This is now the end of the day, and not a period in which
    # events can be run. We put some boilerplate end-of-day text
    # in here.

    centered "Ночь"
    
    scene bg petrs_room
    show petr deflt on left
    p "*зевает* Ах, уже поздно! Пора спать."
    hide petr with fade

    # We call events_end_day to let it know that the day is done.
    call events_end_day

    # And we jump back to day to start the next day. This goes
    # on forever, until an event ends the game.
    jump day
         
label dp_callback:

    $ narrator("Ох, кажется, уже утро. Думаю, мне пора решить, что я буду делать сегодня.", interact=False)
    $ display_stats()
return   
